# [VuFind Developer Manual](https://vufind.org/wiki/development)

## Prerequisites

 - [Community Code of Conduct](https://github.com/vufind-org/vufind/blob/dev/CODE_OF_CONDUCT.md)
 - [Coding Standards](https://vufind.org/wiki/development:coding_standards) - How to conform to VuFind's style.
 - [Recommended Tools](https://vufind.org/wiki/development:recommended_tools) - Suggestions for successful VuFind development.
 - [Making Pull Requests](https://vufind.org/wiki/development:making_pull_requests)
 
## About VuFind

 - [VuFind Developer Manual](https://vufind.org/wiki/development) - A hub of information on VuFind's design and dependencies.
 - [Videos](https://vufind.org/wiki/videos) - Tutorials and other videos about VuFind.
 - [Profiling](https://vufind.org/wiki/development:profiling) - Information on profiling VuFind's code to improve performance.
 - [Testing](https://vufind.org/wiki/development:testing) - Notes on testing VuFind.
 - [Troubleshooting](https://vufind.org/wiki/development:troubleshooting) - Notes on troubleshooting and debugging VuFind.
 - [APIs](https://vufind.org/wiki/development:apis) - APIs that VuFind provides for searching and other functionality.
 
## VuFind Planning
 - [Community Call](https://vufind.org/wiki/community_call) - A regular meeting (free, online and open to all) for discussion, planning and information sharing.
 - [GitHub pull requests](https://github.com/vufind-org/vufind/pulls) - A place to view and discuss work in progress on new features.
 - [JIRA](http://vufind.org/jira) - VuFind's issue tracker.
 - [Slack](http://vufind.slack.com/) - Email crhallberg@gmail.com for an invitation to the Slack if you cannot sign up directly.
