<?php
namespace finc\Controller;

use Psr\Container\ContainerInterface;
use VuFind\Config\YamlReader;
use Laminas\ServiceManager\ServiceLocatorInterface;

class AmslResourceControllerFactory
{
    /**
     * @param ContainerInterface|ServiceLocatorInterface $container
     *
     * @return AmslResourceController
     */
    public function __invoke(ContainerInterface $container)
    {
        $reader = $container->get('VuFind\YamlReader');
        return new AmslResourceController(
            $container,
            $container->get('VuFind\Config\PluginManager')->get('Amsl'),
            $container->get('VuFindHttp\HttpService'),
            $container->get('VuFind\Cache\Manager'),
            $reader->get('AmslResourceMapping.yaml')
        );
    }
}