<?php
namespace Selenium\adlr;

use Lmc\Steward\ConfigProvider;
use Lmc\Steward\Test\AbstractTestCase;

class AdlrBase extends AbstractTestCase
{
    public static $port = '';

    // public static $port = ':81';

    /** @var string */
    public static $host = 'https://staging.finc.info/vufind2/fid_adlr';

    // public static $baseUrl = 'http://host.docker.internal';
    // public static $baseUrl = 'http://127.0.0.1';
    // public static $baseUrl = 'http://localhost';

    protected $user = false;

    /**
     * @before
     */
    public function initBaseUrl()
    {
        // Set base url according to environment
        switch (ConfigProvider::getInstance()->env) {
            case 'staging':
                self::$host = 'https://staging.finc.info/vufind2/fid_adlr';
                break;
            case 'alpha':
                self::$host = 'http://host.docker.internal';
                // self::$host = 'https://alpha.finc.info/vufind2/fid_adlr/22589';
                break;
            case 'local':
                self::$host = 'http://host.docker.internal';
                break;
            default:
                throw new \RuntimeException(sprintf('Unknown environment "%s"', ConfigProvider::getInstance()->env));
        }

        $this->debug('Environment "%s"', ConfigProvider::getInstance()->env);
        $this->debug('Base URL set to "%s"', self::$host);

        if (ConfigProvider::getInstance()->env === 'production') {
            $this->warn('The tests are run against production, so be careful!');
        }
    }

    #region helper methods
    protected function changeLanguage($lang = 'de')
    {
        $this->wd->get(self::$host . self::$port);
        $this->wd->executeScript("document.langForm.mylang.value='" . $lang . "';document.langForm.submit();");
        $this->waitForPartialLinkText('MENÜ');
    }

    protected function setFullsreen()
    {
        $this->wd->manage()->window()->maximize();
    }

    protected function logout()
    {
        $this->wd->get(self::$host . self::$port . '/MyResearch/Logout');
    }

    protected function setUp(): void
    {
        $this->changeLanguage();
        parent::setUp();
    }

    #endregion
}
