<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit
 * @group adlr-getit-11
 * @group adlr-getit-default
 */
class Getit11DefaultTest extends AdlrBase
{
    use GetitTestBaseTrait;

    public const RECORDS = [
        "127-HF000229647", // ok, if logged in
        "finc-148-000766970", // ok, if logged in
        "finc-109-KM000085902", // error: mehrbändiges Werk
        "0-1678979260", // error: Links zur Ressource
        "0-1668331306", // error: derzeit leider keine Infos
        "0-1667284800", // error: derzeit leider keine Infos
        "finc-117-BV040630682", // error: mehrbändiges Werk
        "finc-142-08034201", // error: mehrbändiges Werk
        "finc-119-321520181" // error: mehrbändiges Werk
    ];

    public const RULES = [
        [
            "type" => "text",
            "path" => ".getitbox-getit > h4",
            "text" => "GET IT",
        ],
        // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
        /*[
            "type" => "text",
            "path" => "#get-it-button",
            "text" => "INFOS ZUR RESSOURCE",
        ],*/
        [
            "type" => "text",
            "path" => ".getitbox-notices",
            "text" =>
                'Dieser Titel ist ein mehrbändiges Werk. Einzeltitel sind unter "Zugehörige Bände" aufgeführt.',
        ],
    ];
}
