<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit
 * @group adlr-getit-12
 * @group adlr-getit-default
 */
class Getit12DefaultTest extends AdlrBase
{
    use GetitTestBaseTrait;

    public const RECORDS = [
        "0-1603202374",
        "0-1067543112",
        "0-1027717349",
    ];

    public const RULES = [
        [
            "type" => "text",
            "path" => ".getitbox-getit > h4",
            "text" => "NICHT ANGEMELDET",
        ],
        [
            "type" => "anti-exi",
            "path" => ".full-order",
            "text" => "KOSTENLOS BESTELLEN",
        ],
        [
            "type" => "anti-exi",
            "path" => ".part-order",
            "text" => "TEILKOPIE BESORGEN",
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Weitere Informationen sehen Sie, wenn Sie angemeldet sind.",
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Noch keinen Account?",
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Jetzt registrieren",
        ],
        // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
        /*[
            "type" => "text",
            "path" => "#get-it-button",
            "text" => "INFOS ZUR RESSOURCE",
        ],*/
    ];
}
