<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit
 * @group adlr-getit-13
 * @group adlr-getit-default
 */
class Getit13DefaultTest extends AdlrBase
{
    use GetitTestBaseTrait;

    public const RECORDS = [
        "0-1667395157",              // error: "GET IT" instead of "Nicht angemeldet"
        "finc-109-KM000089451",
        "finc-117-BV043403677",
        "finc-119-365350478",
        "127-HF000221927",
        "finc-142-11205879",    // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
        "finc-148-000759109",
        "finc-151-000055718",   // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
    ];

    public const RULES = [
        [
            "type" => "text",
            "path" => ".getitbox-getit > h4",
            "text" => "NICHT ANGEMELDET",
        ],
        [
            "type" => "anti-exi",
            "path" => ".part-order",
            "text" => "TEILKOPIE BESORGEN",
        ],
        // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
        /*[
            "type" => "text",
            "path" => "#get-it-button",
            "text" => "LINKS ZUR RESSOURCE",
        ],*/
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Weitere Informationen sehen Sie, wenn Sie angemeldet sind.",
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Noch keinen Account?",
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Jetzt registrieren",
        ],
    ];
}
