<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit
 * @group adlr-getit-14
 * @group adlr-getit-default
 */
class Getit14DefaultTest extends AdlrBase
{
    use GetitTestBaseTrait;

    public const RECORDS = [
        "0-1670477886",
        "0-1041254903",
        "finc-109-KM000088077",
        "finc-117-BV045542005", // error: 'GET IT' statt 'NICHT ANGEMELDET'
        "finc-119-369836529",
        "finc-119-321710606",
        "finc-119-310607205",
        "finc-119-36435657X", // error: mehrbändiges Werk statt 'weitere informationen sehen sie..'
        "127-HF000223270",
        "finc-142-08035064",
        "finc-148-000632095", // error: mehrbändiges Werk statt 'weitere informationen sehen sie..'
        "finc-151-000055678",
    ];

    public const RULES = [
        [
            "type" => "text",
            "path" => ".getitbox-getit > h4",
            "text" => "NICHT ANGEMELDET",
        ],
        // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
        /*[
            "type" => "text",
            "path" => "#get-it-button",
            "text" => "INFOS ZUR RESSOURCE",
        ],*/
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" =>
                "Weitere Informationen sehen Sie, wenn Sie angemeldet sind.",
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Noch keinen Account?",
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Jetzt registrieren",
        ]
    ];
}
