<?php
namespace Selenium\adlr;

/**
 * @group adlr
 * @group adlr-getit
 * @group adlr-getit-15
 * @group adlr-getit-default
 */
class Getit15DefaultTest extends AdlrBase
{
    use GetitTestBaseTrait;

    public const RECORDS = [
        "0-1649918879",
        "0-1668116529",
        "finc-119-326140743",
        "finc-119-320535185",
        "finc-119-218381344",
        "127-HF000220674",
        "127-HF000224330",
        "finc-142-10903814",
        "finc-142-10891532",
        "finc-151-000046616",
        "finc-117-BV022883157",
    ];

    public const RULES = [
        [
            "type" => "text",
            "path" => ".getitbox-getit > h4",
            "text" => "GET IT",
        ],
        // https://projekte.ub.uni-leipzig.de/issues/22013#note-26
        /*[
            "type" => "text",
            "path" => "#get-it-button",
            "text" => "INFOS ZUR RESSOURCE",
        ],*/
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Für diesen Titel können wir derzeit leider keine weiteren Informationen zur Verfügbarkeit bereitstellen.",
            "wait" => "getitbox-notices"
        ],
        [
            "type" => "contains",
            "path" => ".getitbox-notices",
            "text" => "Ob der Titel per Fernleihe bestellbar ist, kann Ihnen Ihre Heimatbibliothek mitteilen.",
            "wait" => "getitbox-notices"
        ],
    ];
}
