/* global Finc */
// show picture in large size after click within a modal
function registerCoverForModal(anchor, url, size) {
  if (anchor === null || anchor === undefined || url === null || url === undefined) {
    return;
  }

  anchor.click(function(event) {
    event.preventDefault();
    VuFind.modal('show');
    var largeSizeUrl = url + (size ? '&size=' + size : '');
    $.get(largeSizeUrl).done(function() {
      $('#modal').find('.modal-body').html('<img src="' + largeSizeUrl + '">');
    }).fail(function() {
      $('#modal').find('.modal-body').html('<img src="' + url + '">');
    });
  });
}

/* this is a backport from VF 7 core, remove on upgrade */
/* global VuFind */
function loadCoverByElement(data, element) {
  var url = VuFind.path + '/AJAX/JSON?method=' + 'getRecordCover';
  var img = element.find('img');
  var spinner = element.find('.spinner');
  var container = element.children('div.cover-container');
  var anchor = container.children('a.coverlink');
  function coverCallback(response) {
    spinner.hide();
    container.show();
    if (typeof response.data.url !== 'undefined' && response.data.url !== false) {
      img.attr('src', response.data.url);
      container.children().not('img').hide();
      anchor.show();
      anchor.attr('href', response.data.url);
      // finc specific
      registerCoverForModal(anchor, response.data.url, 'large');
      if (data.ariaLabel) {
        anchor.attr('aria-label', data.ariaLabel);
      }
      if (data.alt) {
        img.attr('alt', data.alt);
      }
      anchor.attr('tabindex', 0);
      anchor.removeClass('hidden');
      anchor.removeAttr('aria-hidden');
      // finc specific - END
    } else {
      img.remove();
      if (typeof response.data.html !== 'undefined') {
        container.html(response.data.html);
      } else {
        container.html();
      }
    }
  }
  $.ajax({
    dataType: 'json',
    url: url,
    method: 'GET',
    data: data,
    element: element,
    success: coverCallback,
    error: () => spinner.hide()
  });
}

function loadCovers() {
  $('.ajaxcover').each(function getDataAndLoadCovers() {
    var img = $(this).find('img');
    var data = {
      source: img.data('recordsource'),
      recordId: img.data('recordid'),
      size: img.data('coversize')
    };
    loadCoverByElement(data, $(this));
  });
}

// deactivated for finc - we load every single cover directly by itself in cover.phtml
// $(document).ready(loadCovers);
